Savings

Get Partner Savings Program Details

Returns an active savings program with its levels. Returns 404 if the program does not exist or is inactive.

GET
/partner/savings-programs/{savingsProgram}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

savingsProgram*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/partner/savings-programs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "currency": "string",  "isActive": true,  "levels": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "savingsProgramId": "e85e6f4f-93e7-4ca2-b1e5-e56a2346eaa3",      "level": 0,      "rewardValue": "string",      "isActive": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "createdBy": "string",  "updatedBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}